# amazon-mws (Amazon Marketplace Web Service)
[![Version](https://img.shields.io/npm/v/amazon-mws.svg)](https://www.npmjs.org/package/amazon-mws)
[![Build Status](https://travis-ci.org/bhushankumarl/amazon-mws.svg?branch=master)](https://travis-ci.org/bhushankumarl/amazon-mws)

This API supported Amazon Marketplace Web Service(MWS)'s standard REST-style API that accepts/returns JSON requests and Here is the [API reference, Click Here](http://docs.developer.amazonservices.com/en_IN/dev_guide/DG_IfNew.html)

You can testify API through without any installation.
* India Marketplace : [Amazon MWS Scratchpad - India](https://mws.amazonservices.in/scratchpad/index.html)
* US Marketplace : [Amazon MWS Scratchpad - US](https://mws.amazonservices.com/scratchpad/index.html)
* Other Marketplaces : [Amazon MWS endpoints and MarketplaceId values](https://docs.developer.amazonservices.com/en_US/dev_guide/DG_Endpoints.html)

##### It does supports EcmaScript 8, TypeScript, async-await, Promises, Callback !
##### It does also supports for AWS Lambda like serverless cloud function call.
##### It supports pure JSON response.
##### All methods support Promise and Callback both.
##### Please Feel free to create Issue for any help !
##### All developers/contributors are requested to open Pull Request/Merge Request on development branch. Please make sure Test Cases be passed.

## Installation
```bash
npm install amazon-mws --save
```

## Pull Request
- Contributors can send their Pull Request to `development` branch.
- Kindly validate test cases & linting before opening new PR.

## Do you need an expert?
Are you finding a developer for your world-class product? If yes, please contact here. [Submit your project request here.](https://goo.gl/forms/UofdG5GY5iHMoUWg2)
Originally by [Bhushankumar L](mailto:bhushankumar.lilapara@gmail.com).

## Examples
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#easyship" target="_blank">EasyShip</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#feeds" target="_blank">Feeds</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#finances" target="_blank">Finances</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#fulfillmentinboundshipment" target="_blank">FulfillmentInboundShipment</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#fulfillmentinventory" target="_blank">FulfillmentInventory</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#fulfillmentoutboundshipment" target="_blank">FulfillmentOutboundShipment</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#merchantfulfillment" target="_blank">MerchantFulfillment</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#orders" target="_blank">Orders</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#products" target="_blank">Products</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#recommendations" target="_blank">Recommendations</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#reports" target="_blank">Reports</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#sellers" target="_blank">Sellers</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#shipmentinvoicing" target="_blank">ShipmentInvoicing</a>
* ### <a href="https://fullstacktechnology.com/nodejs/amazon-mws/#subscriptions" target="_blank">Subscriptions</a>
